Thanks Thanks:  4
Seite 2 von 3 ErsteErste 123 LetzteLetzte
Ergebnis 11 bis 20 von 28

Thema: Mount Problem

  1. #11
    Avatar von Pike_Bishop
    Registriert seit
    05.09.2013
    Ort
    here and there
    Beiträge
    3.321
    Themenstarter
    Total Downloaded
    155,15 MB
    Total Downloaded
    155,15 MB
    ReceiverDankeAktivitäten
    Box 1:
    Mutant HD 2400
     
     
    Box 2:
    VU+ Ultimo 4K
     
     
    Box 3:
    VDR
     
     
    Box 4:
    VDR
     
     
    Sieht nicht so aus als ob da alles ins Log geschrieben wird - Script mit den echos drin sieht so aus;

    Code:
    #!/bin/sh
    
    mkdir -p /tmp
    ##LOG='/tmp/mdev-mount.log'
    LOG='/etc/mdev/mdev-mount.log'
    
    
    ## device information log
    echo  >> $LOG
    echo  >> $LOG
    echo "**************************" >> $LOG
    echo  >> $LOG
    echo "Action= "$ACTION >> $LOG
    echo "Hotplug count ="$SEQNUM >> $LOG
    echo "Major= "$MAJOR >> $LOG
    echo "Mdev= "$MDEV >> $LOG
    echo "Devpath= "$DEVPATH >> $LOG
    echo "Devtype= "$DEVTYPE >> $LOG
    echo "Subsystem= "$SUBSYSTEM >> $LOG
    echo "Minor= "$MINOR >> $LOG
    echo "Physdevpath= "$PHYSDEVPATH >> $LOG
    echo "Physdevdriver= "$PHYSDEVDRIVER >> $LOG
    echo "Physdevbus= "$PHYSDEVBUS >> $LOG
    echo "Working directory= "$PWD >> $LOG
    echo  >> $LOG
    
    
    notify() {
        # we don't really depend on the hotplug_e2_helper, but when it exists, call it
        if [ -x /usr/bin/hotplug_e2_helper ] ; then
            /usr/bin/hotplug_e2_helper $ACTION /dev/$MDEV /block/$DEVBASE/device
        fi
    }
    
    case $ACTION in
        add|"")
            ACTION="add"
            FSTYPE=`blkid /dev/${MDEV} | grep -v 'TYPE="swap"' | grep ${MDEV} | sed -e "s/.*TYPE=//" -e 's/"//g'`
            if [ -z "$FSTYPE" ] ; then
                exit 0
            fi
            # check if already mounted
            if grep -q "^/dev/${MDEV} " /proc/mounts ; then
                # Already mounted
                exit 0
            fi
            DEVBASE=`expr substr $MDEV 1 3`
            PARTNUM=`expr substr $MDEV 4 1`
            # check for "please don't mount it" file
            if [ -f "/dev/nomount.${DEVBASE}" ] ; then
                # blocked
                exit 0
            fi
            # check for full-disk partition
            if [ "${DEVBASE}" == "${MDEV}" ] ; then
                if [ -d /sys/block/${DEVBASE}/${DEVBASE}1 ] ; then
                    # Partition detected, just tell and quit
                    notify
                    exit 0
                fi
                if [ ! -f /sys/block/${DEVBASE}/size ] ; then
                    # No size at all
                    exit 0
                fi
                if [ `cat /sys/block/${DEVBASE}/size` == 0 ] ; then
                    # empty device, bail out
                    exit 0
                fi
            fi
            if [ "${DEVBASE}" == "mmc" ] ; then
                DEVBASE="mmcblk0"
            fi
            # due to multiple calls of mdev mount only first partition as usual, others as devicename.
            # first allow fstab to determine the mountpoint
            if ! mount /dev/$MDEV > /dev/null 2>&1 ; then
                echo "[mdev-mount.sh] no fstab entry, use automatic mountpoint" >> $LOG
                # no fstab entry, use automatic mountpoint
                REMOVABLE=`cat /sys/block/$DEVBASE/removable`
                readlink -fn /sys/block/$DEVBASE/device | grep -qs 'pci\|ahci'
                EXTERNAL=$?
                if [ "${REMOVABLE}" -eq "0" -a $EXTERNAL -eq 0 ] ; then
                    echo "[mdev-mount.sh] non removable, non external" >> $LOG
                    if [ $PARTNUM -le "1" ] ; then
                        echo "[mdev-mount.sh] 1st partition found" >> $LOG
                        # mount the first non-removable internal device on /media/hdd
                        DEVICETYPE="hdd"
                        # if mount /media/hdd already exits but an internal hdd is now found  
                        # then remount the first device to the device name or to /media/usb
                        # (unless the mounted device is already an internal non-removable device)
                        if grep -q "/media/hdd" /proc/mounts ; then
                            echo "[mdev-mount.sh] /media/hdd exists" >> $LOG
                            TEMPDEV=`cat /proc/mounts | grep /media/hdd | cut -d' ' -f 1`
                            # check if mounted device is already an internal device
                            DEVBASE_MOUNTED=`expr substr $TEMPDEV 6 3`
                            REMOVABLE_MOUNTED=`cat /sys/block/$DEVBASE_MOUNTED/removable`
                            readlink -fn /sys/block/$DEVBASE_MOUNTED/device | grep -qs 'pci\|ahci'
                            EXTERNAL_MOUNTED=$?
                            if [ ${REMOVABLE_MOUNTED} -eq 0 -a ${EXTERNAL_MOUNTED} -eq 0 ] ; then
                                echo "[mdev-mount.sh] $TEMPDEV non removable, non external" >> $LOG
                                # mounted device is an internal device --> mount new internal device
                                DEVICETYPE=$MDEV   
                            else
                                echo "[mdev-mount.sh] $TEMPDEV removable or external" >> $LOG
                                # switch mounts
                                TEMPDEV1=`echo ${TEMPDEV} | cut -d'/' -f 3`
                                umount /media/hdd || umount ${TEMPDEV}
                                echo "[mdev-mount.sh] umounted /media/hdd (preparing swap with new device found)" >> $LOG
                                # Use mkdir as 'atomic' action, failure means someone beat us to the punch
                                if grep -q "/media/usb" /proc/mounts ; then
                                    echo "[mdev-mount.sh] /media/usb exists 1" >> $LOG
                                    # usb mountpoint is used --> use divicefile as usual
                                    MOUNTPOINT="/media/$MDEV"
                                else
                                    echo "[mdev-mount.sh] /media/usb doesnt exist 1" >> $LOG
                                    MOUNTPOINT="/media/usb"
                                fi
                                # Remove mountpoint not being used
                                if [ -z "`grep $MOUNTPOINT /proc/mounts`" ] ; then
                                    find $MOUNTPOINT -type d -delete
                                    rmdir $MOUNTPOINT
                                fi
                                if ! mkdir $MOUNTPOINT ; then
                                    MOUNTPOINT="/media/$TEMPDEV1"
                                    mkdir -p $MOUNTPOINT
                                fi
                                if ! mount -t auto ${TEMPDEV} "${MOUNTPOINT}" ; then
                                    if ! mount.exfat ${TEMPDEV} "${MOUNTPOINT}" ; then
                                        echo "[mdev-mount.sh] mount failed 1" >> $LOG
                                        find "${MOUNTPOINT}" -type d -delete
                                        rmdir "${MOUNTPOINT}"
                                    fi
                                fi
                                echo "[mdev-mount.sh] mounted $MDEV on $MOUNTPOINT (swap complete)" >> $LOG
                            fi
                        fi
                    else
                        echo "[mdev-mount.sh] next partition $PARTNUM of non USB device found" >> $LOG
                        # Mount next partition as detected device
                        DEVICETYPE=$MDEV
                    fi
                else
                    echo "[mdev-mount.sh] removable or external" >> $LOG
                    MODEL=`cat /sys/block/$DEVBASE/device/model`
                    MODEL1=`cat /sys/block/$DEVBASE/device/type`
                    if [ "$MODEL" == "USB CF Reader     " ]; then
                        DEVICETYPE="cf"
                    elif [ "$MODEL" == "Compact Flash   " ]; then
                        DEVICETYPE="cf"
                    elif [ "$MODEL" == "USB SD Reader   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "USB SD  Reader  " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "SD/MMC          " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "USB MS Reader   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "SM/xD-Picture   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "USB SM Reader   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "MS/MS-Pro       " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL1" == "SD                " ]; then
                        DEVICETYPE="mmc1"
                    else
                        echo "[mdev-mount.sh] USB device found" >> $LOG
                        if [ $PARTNUM -eq "1" -o $PARTNUM -eq "5" ] ; then
                            echo "[mdev-mount.sh] 1st partition found" >> $LOG
                            if grep -q "/media/hdd" /proc/mounts ; then
                                echo "[mdev-mount.sh] /media/hdd exists" >> $LOG
                                if grep -q "/media/usb" /proc/mounts ; then
                                    echo "[mdev-mount.sh] /media/usb exists" >> $LOG
                                    DEVICETYPE=$MDEV
                                else
                                    DEVICETYPE="usb"
                                fi
                            else
                                # mount the first removable device on /media/hdd only when no other internal hdd is present
                                DEVICETYPE="hdd"
                                DEVLIST=`ls -1 /sys/block | grep "sd[a-z]"`
                                for DEV in $DEVLIST; do
                                    DEVBASE=`expr substr $DEV 1 3`
                                    readlink -fn /sys/block/$DEVBASE/device | grep -qs 'pci\|ahci'
                                    EXTERNAL=$?
                                    if [ "${REMOVABLE}" -eq "0" -a $EXTERNAL -eq 0 ] ; then
                                        DEVICETYPE="usb"
                                        echo "[mdev-mount.sh] internal sdx detected -> mount as USB" >> $LOG
                                        break
                                    fi
                                done
                            fi
                        else
                            echo "[mdev-mount.sh] next partition $PARTNUM of USB device found" >> $LOG
                            # Mount next partition as detected device
                            DEVICETYPE=$MDEV
                        fi
                    fi
                fi
                # Use mkdir as 'atomic' action, failure means someone beat us to the punch
                MOUNTPOINT="/media/$DEVICETYPE"
    
                # Remove mountpoint not being used
                if [ -z "`grep $MOUNTPOINT /proc/mounts`" ] ; then
                    echo "[mdev-mount.sh] rmdir $MOUNTPOINT" >> $LOG
                    find $MOUNTPOINT  -type d -delete
                    rmdir $MOUNTPOINT
                fi
                if ! mkdir $MOUNTPOINT ; then
                    echo "[mdev-mount.sh] mkdir $MOUNTPOINT failed, using /media/$MDEV" >> $LOG
                    MOUNTPOINT="/media/$MDEV"
                    mkdir -p $MOUNTPOINT
                fi
                if ! mount -t auto /dev/$MDEV "${MOUNTPOINT}" ; then
                    if ! mount.exfat /dev/$MDEV "${MOUNTPOINT}" ; then
                        echo "[mdev-mount.sh] mount failed 2" >> $LOG
                        find "${MOUNTPOINT}" -type d -delete
                        rmdir "${MOUNTPOINT}"
                    fi
                fi
                echo "[mdev-mount.sh] mounted $MDEV on $MOUNTPOINT" >> $LOG
            fi
            ;;
        remove)
            MOUNTPOINT=`grep "^/dev/$MDEV\s" /proc/mounts | cut -d' ' -f 2`
            if [ -z "$MOUNTPOINT" ] ; then
                MOUNTPOINT="/media/$MDEV"
            fi
            umount $MOUNTPOINT || umount /dev/$MDEV
            find $MOUNTPOINT  -type d -delete
            rmdir $MOUNTPOINT
            echo "[mdev-mount.sh] umounted $MOUNTPOINT" >> $LOG
            ;;
        *)
            # Unexpected keyword
            exit 1
            ;;
    esac
    
    notify

    Hab alle relevanten echos freigeschalten.


    Grüsse
    Biki3
    OpenATV-6.2

    Script Collection

    •   Alt Advertising

       

  2. #12
    Avatar von -=niki=-
    Registriert seit
    07.04.2013
    Beiträge
    858
    Total Downloaded
    19,78 MB
    Total Downloaded
    19,78 MB
    ReceiverDankeAktivitäten
    Box 1:
    Gigablue Solo @ ATV4
     
     
    Box 2:
    Sogno 8800HD @ ATV4 / PLI4
     
     
    Box 3:
    diverse
     
     
    Mich wunderts schon mal das der Mdevscan2 mal läuft ... hast du in /etc/init.d/ ein hotplug.sh das mdev nochmals startet?? Das habe ich bei mir raus genommen ist wohl WA für Azboxen

    Für das
    if ! mount /dev/$MDEV > /dev/null 2>&1 ; then

    Fehlt noch ne Else die dir ins log schreibt das dass Gerät nach fstab gemountet wurde.

  3. #13
    Avatar von Pike_Bishop
    Registriert seit
    05.09.2013
    Ort
    here and there
    Beiträge
    3.321
    Themenstarter
    Total Downloaded
    155,15 MB
    Total Downloaded
    155,15 MB
    ReceiverDankeAktivitäten
    Box 1:
    Mutant HD 2400
     
     
    Box 2:
    VU+ Ultimo 4K
     
     
    Box 3:
    VDR
     
     
    Box 4:
    VDR
     
     
    Hi niki,

    Ja ne hotplug.sh is da in /etc/init.d - die lösch ich dann.

    Meinst so mit else ?
    Code:
    else
                echo "/dev/$MDEV" was mountet to fstab >> $LOG
    Habs mal so eingetragen - mal sehen ...


    Grüsse
    Biki3
    OpenATV-6.2

    Script Collection

  4. #14
    Avatar von Pike_Bishop
    Registriert seit
    05.09.2013
    Ort
    here and there
    Beiträge
    3.321
    Themenstarter
    Total Downloaded
    155,15 MB
    Total Downloaded
    155,15 MB
    ReceiverDankeAktivitäten
    Box 1:
    Mutant HD 2400
     
     
    Box 2:
    VU+ Ultimo 4K
     
     
    Box 3:
    VDR
     
     
    Box 4:
    VDR
     
     
    Hi,

    Gut, also die hotplug.sh hab ich gelöscht und das mdev Script sieht dann so aus;
    Code:
    #!/bin/sh
    
    mkdir -p /tmp
    ##LOG='/tmp/mdev-mount.log'
    LOG='/etc/mdev/mdev-mount.log'
    
    
    ## device information log
    echo  >> $LOG
    echo  >> $LOG
    echo "**************************" >> $LOG
    echo  >> $LOG
    echo "Action= "$ACTION >> $LOG
    echo "Hotplug count ="$SEQNUM >> $LOG
    echo "Major= "$MAJOR >> $LOG
    echo "Mdev= "$MDEV >> $LOG
    echo "Devpath= "$DEVPATH >> $LOG
    echo "Devtype= "$DEVTYPE >> $LOG
    echo "Subsystem= "$SUBSYSTEM >> $LOG
    echo "Minor= "$MINOR >> $LOG
    echo "Physdevpath= "$PHYSDEVPATH >> $LOG
    echo "Physdevdriver= "$PHYSDEVDRIVER >> $LOG
    echo "Physdevbus= "$PHYSDEVBUS >> $LOG
    echo "Working directory= "$PWD >> $LOG
    echo  >> $LOG
    
    
    notify() {
        # we don't really depend on the hotplug_e2_helper, but when it exists, call it
        if [ -x /usr/bin/hotplug_e2_helper ] ; then
            /usr/bin/hotplug_e2_helper $ACTION /dev/$MDEV /block/$DEVBASE/device
        fi
    }
    
    case $ACTION in
        add|"")
            ACTION="add"
            FSTYPE=`blkid /dev/${MDEV} | grep -v 'TYPE="swap"' | grep ${MDEV} | sed -e "s/.*TYPE=//" -e 's/"//g'`
            if [ -z "$FSTYPE" ] ; then
                exit 0
            fi
            # check if already mounted
            if grep -q "^/dev/${MDEV} " /proc/mounts ; then
                # Already mounted
                exit 0
            fi
            DEVBASE=`expr substr $MDEV 1 3`
            PARTNUM=`expr substr $MDEV 4 1`
            # check for "please don't mount it" file
            if [ -f "/dev/nomount.${DEVBASE}" ] ; then
                # blocked
                exit 0
            fi
            # check for full-disk partition
            if [ "${DEVBASE}" == "${MDEV}" ] ; then
                if [ -d /sys/block/${DEVBASE}/${DEVBASE}1 ] ; then
                    # Partition detected, just tell and quit
                    notify
                    exit 0
                fi
                if [ ! -f /sys/block/${DEVBASE}/size ] ; then
                    # No size at all
                    exit 0
                fi
                if [ `cat /sys/block/${DEVBASE}/size` == 0 ] ; then
                    # empty device, bail out
                    exit 0
                fi
            fi
            if [ "${DEVBASE}" == "mmc" ] ; then
                DEVBASE="mmcblk0"
            fi
            # due to multiple calls of mdev mount only first partition as usual, others as devicename.
            # first allow fstab to determine the mountpoint
            if ! mount /dev/$MDEV > /dev/null 2>&1 ; then
                echo "[mdev-mount.sh] no fstab entry, use automatic mountpoint" >> $LOG
            else
                echo "/dev/$MDEV" was mountet to fstab >> $LOG
                # no fstab entry, use automatic mountpoint
                REMOVABLE=`cat /sys/block/$DEVBASE/removable`
                readlink -fn /sys/block/$DEVBASE/device | grep -qs 'pci\|ahci'
                EXTERNAL=$?
                if [ "${REMOVABLE}" -eq "0" -a $EXTERNAL -eq 0 ] ; then
                    echo "[mdev-mount.sh] non removable, non external" >> $LOG
                    if [ $PARTNUM -le "1" ] ; then
                        echo "[mdev-mount.sh] 1st partition found" >> $LOG
                        # mount the first non-removable internal device on /media/hdd
                        DEVICETYPE="hdd"
                        # if mount /media/hdd already exits but an internal hdd is now found  
                        # then remount the first device to the device name or to /media/usb
                        # (unless the mounted device is already an internal non-removable device)
                        if grep -q "/media/hdd" /proc/mounts ; then
                            echo "[mdev-mount.sh] /media/hdd exists" >> $LOG
                            TEMPDEV=`cat /proc/mounts | grep /media/hdd | cut -d' ' -f 1`
                            # check if mounted device is already an internal device
                            DEVBASE_MOUNTED=`expr substr $TEMPDEV 6 3`
                            REMOVABLE_MOUNTED=`cat /sys/block/$DEVBASE_MOUNTED/removable`
                            readlink -fn /sys/block/$DEVBASE_MOUNTED/device | grep -qs 'pci\|ahci'
                            EXTERNAL_MOUNTED=$?
                            if [ ${REMOVABLE_MOUNTED} -eq 0 -a ${EXTERNAL_MOUNTED} -eq 0 ] ; then
                                echo "[mdev-mount.sh] $TEMPDEV non removable, non external" >> $LOG
                                # mounted device is an internal device --> mount new internal device
                                DEVICETYPE=$MDEV   
                            else
                                echo "[mdev-mount.sh] $TEMPDEV removable or external" >> $LOG
                                # switch mounts
                                TEMPDEV1=`echo ${TEMPDEV} | cut -d'/' -f 3`
                                umount /media/hdd || umount ${TEMPDEV}
                                echo "[mdev-mount.sh] umounted /media/hdd (preparing swap with new device found)" >> $LOG
                                # Use mkdir as 'atomic' action, failure means someone beat us to the punch
                                if grep -q "/media/usb" /proc/mounts ; then
                                    echo "[mdev-mount.sh] /media/usb exists 1" >> $LOG
                                    # usb mountpoint is used --> use divicefile as usual
                                    MOUNTPOINT="/media/$MDEV"
                                else
                                    echo "[mdev-mount.sh] /media/usb doesnt exist 1" >> $LOG
                                    MOUNTPOINT="/media/usb"
                                fi
                                # Remove mountpoint not being used
                                if [ -z "`grep $MOUNTPOINT /proc/mounts`" ] ; then
                                    find $MOUNTPOINT -type d -delete
                                    rmdir $MOUNTPOINT
                                fi
                                if ! mkdir $MOUNTPOINT ; then
                                    MOUNTPOINT="/media/$TEMPDEV1"
                                    mkdir -p $MOUNTPOINT
                                fi
                                if ! mount -t auto ${TEMPDEV} "${MOUNTPOINT}" ; then
                                    if ! mount.exfat ${TEMPDEV} "${MOUNTPOINT}" ; then
                                        echo "[mdev-mount.sh] mount failed 1" >> $LOG
                                        find "${MOUNTPOINT}" -type d -delete
                                        rmdir "${MOUNTPOINT}"
                                    fi
                                fi
                                echo "[mdev-mount.sh] mounted $MDEV on $MOUNTPOINT (swap complete)" >> $LOG
                            fi
                        fi
                    else
                        echo "[mdev-mount.sh] next partition $PARTNUM of non USB device found" >> $LOG
                        # Mount next partition as detected device
                        DEVICETYPE=$MDEV
                    fi
                else
                    echo "[mdev-mount.sh] removable or external" >> $LOG
                    MODEL=`cat /sys/block/$DEVBASE/device/model`
                    MODEL1=`cat /sys/block/$DEVBASE/device/type`
                    if [ "$MODEL" == "USB CF Reader     " ]; then
                        DEVICETYPE="cf"
                    elif [ "$MODEL" == "Compact Flash   " ]; then
                        DEVICETYPE="cf"
                    elif [ "$MODEL" == "USB SD Reader   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "USB SD  Reader  " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "SD/MMC          " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "USB MS Reader   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "SM/xD-Picture   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "USB SM Reader   " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL" == "MS/MS-Pro       " ]; then
                        DEVICETYPE="mmc1"
                    elif [ "$MODEL1" == "SD                " ]; then
                        DEVICETYPE="mmc1"
                    else
                        echo "[mdev-mount.sh] USB device found" >> $LOG
                        if [ $PARTNUM -eq "1" -o $PARTNUM -eq "5" ] ; then
                            echo "[mdev-mount.sh] 1st partition found" >> $LOG
                            if grep -q "/media/hdd" /proc/mounts ; then
                                echo "[mdev-mount.sh] /media/hdd exists" >> $LOG
                                if grep -q "/media/usb" /proc/mounts ; then
                                    echo "[mdev-mount.sh] /media/usb exists" >> $LOG
                                    DEVICETYPE=$MDEV
                                else
                                    DEVICETYPE="usb"
                                fi
                            else
                                # mount the first removable device on /media/hdd only when no other internal hdd is present
                                DEVICETYPE="hdd"
                                DEVLIST=`ls -1 /sys/block | grep "sd[a-z]"`
                                for DEV in $DEVLIST; do
                                    DEVBASE=`expr substr $DEV 1 3`
                                    readlink -fn /sys/block/$DEVBASE/device | grep -qs 'pci\|ahci'
                                    EXTERNAL=$?
                                    if [ "${REMOVABLE}" -eq "0" -a $EXTERNAL -eq 0 ] ; then
                                        DEVICETYPE="usb"
                                        echo "[mdev-mount.sh] internal sdx detected -> mount as USB" >> $LOG
                                        break
                                    fi
                                done
                            fi
                        else
                            echo "[mdev-mount.sh] next partition $PARTNUM of USB device found" >> $LOG
                            # Mount next partition as detected device
                            DEVICETYPE=$MDEV
                        fi
                    fi
                fi
                # Use mkdir as 'atomic' action, failure means someone beat us to the punch
                MOUNTPOINT="/media/$DEVICETYPE"
    
                # Remove mountpoint not being used
                if [ -z "`grep $MOUNTPOINT /proc/mounts`" ] ; then
                    echo "[mdev-mount.sh] rmdir $MOUNTPOINT" >> $LOG
                    find $MOUNTPOINT  -type d -delete
                    rmdir $MOUNTPOINT
                fi
                if ! mkdir $MOUNTPOINT ; then
                    echo "[mdev-mount.sh] mkdir $MOUNTPOINT failed, using /media/$MDEV" >> $LOG
                    MOUNTPOINT="/media/$MDEV"
                    mkdir -p $MOUNTPOINT
                fi
                if ! mount -t auto /dev/$MDEV "${MOUNTPOINT}" ; then
                    if ! mount.exfat /dev/$MDEV "${MOUNTPOINT}" ; then
                        echo "[mdev-mount.sh] mount failed 2" >> $LOG
                        find "${MOUNTPOINT}" -type d -delete
                        rmdir "${MOUNTPOINT}"
                    fi
                fi
                echo "[mdev-mount.sh] mounted $MDEV on $MOUNTPOINT" >> $LOG
            fi
            ;;
        remove)
            MOUNTPOINT=`grep "^/dev/$MDEV\s" /proc/mounts | cut -d' ' -f 2`
            if [ -z "$MOUNTPOINT" ] ; then
                MOUNTPOINT="/media/$MDEV"
            fi
            umount $MOUNTPOINT || umount /dev/$MDEV
            find $MOUNTPOINT  -type d -delete
            rmdir $MOUNTPOINT
            echo "[mdev-mount.sh] umounted $MOUNTPOINT" >> $LOG
            ;;
        *)
            # Unexpected keyword
            exit 1
            ;;
    esac
    
    notify

    Das Log sieht so aus;
    Code:
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sda
    Devpath= 
    Devtype= 
    Subsystem= sda
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sda1
    Devpath= 
    Devtype= 
    Subsystem= sda
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sdb
    Devpath= 
    Devtype= 
    Subsystem= sdb
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sdb1
    Devpath= 
    Devtype= 
    Subsystem= sdb
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sdc
    Devpath= 
    Devtype= 
    Subsystem= sdc
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sdc1
    Devpath= 
    Devtype= 
    Subsystem= sdc
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sdd
    Devpath= 
    Devtype= 
    Subsystem= sdd
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev
    
    
    
    **************************
    
    Action= add
    Hotplug count =
    Major= 
    Mdev= sdd1
    Devpath= 
    Devtype= 
    Subsystem= sdd
    Minor= 
    Physdevpath= 
    Physdevdriver= 
    Physdevbus= 
    Working directory= /dev

    Grüsse
    Biki3
    OpenATV-6.2

    Script Collection

  5. #15
    Avatar von -=niki=-
    Registriert seit
    07.04.2013
    Beiträge
    858
    Total Downloaded
    19,78 MB
    Total Downloaded
    19,78 MB
    ReceiverDankeAktivitäten
    Box 1:
    Gigablue Solo @ ATV4
     
     
    Box 2:
    Sogno 8800HD @ ATV4 / PLI4
     
     
    Box 3:
    diverse
     
     
    Na das sieht doch gar net mal so schlecht aus. Der Mdev macht hier gar nix ... also kein automount. Es wird alles der fstab überlassen. Ergo, müssen wir wohl an einer anderen Stelle suchen für das mountproblem

    Niki

  6. #16
    Avatar von Pike_Bishop
    Registriert seit
    05.09.2013
    Ort
    here and there
    Beiträge
    3.321
    Themenstarter
    Total Downloaded
    155,15 MB
    Total Downloaded
    155,15 MB
    ReceiverDankeAktivitäten
    Box 1:
    Mutant HD 2400
     
     
    Box 2:
    VU+ Ultimo 4K
     
     
    Box 3:
    VDR
     
     
    Box 4:
    VDR
     
     
    Hi niki,

    Und wo suchen wir dann hab keinen Plan wo.

    Wer oder was mountet mein /dev/sda1 dann zum Schluss beim Hochbooten nach /media/hdd is dann wohl die Frage ?
    Muss jedenfalls nach der Abarbeitung von der fstab erfolgen denn in der fstab mounte ich ja /dev/sdd1 nach /media/hdd per uuid
    aber letztlich is dann immer nur das /dev/sda1 über /media/hdd ansprechbar (wird also einfach drüber gemountet).

    Würde ein Debuglog das eventuell aufdecken ?


    Grüsse
    Biki3
    OpenATV-6.2

    Script Collection

  7. #17
    Avatar von -=niki=-
    Registriert seit
    07.04.2013
    Beiträge
    858
    Total Downloaded
    19,78 MB
    Total Downloaded
    19,78 MB
    ReceiverDankeAktivitäten
    Box 1:
    Gigablue Solo @ ATV4
     
     
    Box 2:
    Sogno 8800HD @ ATV4 / PLI4
     
     
    Box 3:
    diverse
     
     
    Musst mal probieren ... vermute aber mal nicht.

  8. #18
    Senior Mitglied
    Registriert seit
    06.04.2013
    Beiträge
    1.223
    Total Downloaded
    2,86 MB
    Total Downloaded
    2,86 MB
    ReceiverDankeAktivitäten
    Box 1:
    Xtrend ET10000 4xDVB-S2
     
     
    Die Probleme hatte ich doch auch schon...
    Aber an XTREND Boxen...

    Ich vermute da eher ein Problem an der "Nummerierung" ZUERST USB, weil ja auch davon geflasht wird, wenn mehrere USB, dann wird das evtl irgendwie durchnummeriert, und dann erst die internen Anschlüsse...

    Mit nem anderen Image hats ja dann auch wieder geklappt.
    Interessant wäre jetzt, was wer adneres als Ergebnis brint, der auch die Menge an Datenträgern dran hat wie du!

    Da ich immernoch die slebe Box habe, ist ein Hardwaredefekt ja ausgeschlossen...

    Oder es ist wieder so ein Super-Temp-Problem, wie das, wenn die HDD gelöscht wird.
    1 von 1000 Installationen schießt quer...
    Geändert von Klaus_Günther (28.08.2015 um 23:18 Uhr)

  9. #19
    Avatar von Pike_Bishop
    Registriert seit
    05.09.2013
    Ort
    here and there
    Beiträge
    3.321
    Themenstarter
    Total Downloaded
    155,15 MB
    Total Downloaded
    155,15 MB
    ReceiverDankeAktivitäten
    Box 1:
    Mutant HD 2400
     
     
    Box 2:
    VU+ Ultimo 4K
     
     
    Box 3:
    VDR
     
     
    Box 4:
    VDR
     
     
    Hi Klaus Günther,

    Ja kann mich dunkel erinnern bei dir wars das externe Display aber ein normaler Stick ... wie hier das darf gar nicht sein.
    Und warum klappts aber bislang im OpenATV-4.2 und im alten OpenATV-5.0 korrekt so wies ist ?
    Hab hier ein System im Flash und drei im Openmultiboot auf dem bewussten Stick.

    Im PLI-4.0 und im OpenATV-5.1 hab ich das Mountproblem beide am Stick per Openmultiboot und im OpenATV-4.2 (is im Flash) sowie im OpenATV-5.0 (is wieder am Stick) klappt alles bestens.

    Ich befürchte das Probs wird noch länger unentdeckt bleiben da wahrscheinlich nicht viele so viele Datenträger an der Box verwenden
    und dann auch noch teilweise mit passiven HUB der aber sicher nicht das Problem ist.

    Na ja - hab derweil eh nen Würgarround gebastelt - jedoch weiss ich noch nicht ob der immer zuverlässig klappt
    da ich es nun das zweite Mal sah das wenn ich /media/hdd umounte damit dann mein Platte endlich zum Vorschein kommt
    es zum "device or ressource busy" kommt dann hängt das Script in ner Endlosschleife (da while Schleife eingebaut).
    Habs jetzt aber umgeschrieben und versuch mit lazy umount zu umounten wenns normal erstmal versagt - mal sehen ...

    Aber dennoch das is alles unnnötiger Aufwand und hier noch mehr sogar da ich ja per fstab auch alles in /media/hdd/movie/sonstiges verstecke per bind mount in der fstab
    und wenn der Würgarround klappt dann is es auch so das ich am Besten erstmal ne halbe bis zu ner Minute warten muss bevor ich die Filmliste öffne nach Hochfahren der Box.
    Na egal, muss den Würgarround nun mal ein paar Tage testen - sollte eigentlich auch klappen soweit aber sollte keinesfalls ne Endlösung sein.

    Jedenfalls was da Enigma so veranstaltet is auch sicher nicht normal - in keinem Linux hatte ich sowas bisher
    und auch an keinem Vdr (der basiert auf Linux).

    Gibt halt hier auch ab und an sowas wie Verschlimmbesserungen, was soll man da tun ...

    EDIT !
    Es stellt sich doch die Frage - wenns der Automounter nicht is und ich es nicht bin per fstab oder was auch immer
    wer oder was mountet den Stick sonst noch wohin - wärs möglich das es was mit Openmultiboot selbst zu tun hat ?
    Immerhin mountet das Ding ja nen Stick wenn für Openmultiboot vorgesehen nach /omb - aber keine Ahnung was da abgeht.

    Egal wenn da nicht bald ne Lösung kommt pfeif ich eben auf Openmultiboot und der Stick kann gehen
    dann wirds das Probs hier auch nicht geben ohne dem Stick an der Box schätz ich mal.


    Grüsse
    Biki3
    Geändert von Pike_Bishop (29.08.2015 um 00:00 Uhr)
    OpenATV-6.2

    Script Collection

  10. #20
    Avatar von -=niki=-
    Registriert seit
    07.04.2013
    Beiträge
    858
    Total Downloaded
    19,78 MB
    Total Downloaded
    19,78 MB
    ReceiverDankeAktivitäten
    Box 1:
    Gigablue Solo @ ATV4
     
     
    Box 2:
    Sogno 8800HD @ ATV4 / PLI4
     
     
    Box 3:
    diverse
     
     
    hast du net geschrieben das 5.0 bei multiboot funzt?

    OMB muss den Multiboot stick fest irgendwo hin mounten, unabhängig was man irgendwo einstellt. Spricht ja nix gehen etwas an mehrere stellen zu mounten.

    Hast du noch irgendwelche plugins laufen die da was mounten könnten?

    Niki


Seite 2 von 3 ErsteErste 123 LetzteLetzte

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
Diese Website benutzt Cookies
Wir benutzen Cookies um Sitzungsinformationen zu speichern. Dies erleichtert es uns z.B. Dich an Deine Login zu erinnern, Einstellungen der Webseite zu speichern, Inhalte und Werbung zu personalisieren, Social Media Funktionen anzubieten und unser Datenaufkommen zu analysieren. Wir teilen diese Informationen ebenfalls mit unseren Social Media-, Werbe- und Analysepartnern.
     
Alle Zeitangaben in WEZ +1. Es ist jetzt 18:47 Uhr.
Powered by vBulletin® Version 4.2.5 (Deutsch)
Copyright ©2018 Adduco Digital e.K. und vBulletin Solutions, Inc. Alle Rechte vorbehalten.
Resources saved on this page: MySQL 11,76%
Parts of this site powered by vBulletin Mods & Addons from DragonByte Technologies Ltd. (Details)
vBulletin Skin By: PurevB.com